## org.apache.myfaces.custom.schedule.renderer
Class AbstractScheduleRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer

Direct Known Subclasses:
  AbstractCompactScheduleRenderer, ScheduleDetailedDayRenderer

public class AbstractScheduleRenderer
extends javax.faces.render.Renderer

Abstract superclass for all renderer of the UISchedule component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$), Bruno Aranda (adaptation of Jurgen's code to myfaces)

Field Summary
`protected static ScheduleEntryComparator` `comparator`

Constructor Summary
`AbstractScheduleRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.String` `getDateString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.util.Date date)` Get the String representation of a date, taking into account the specified date format or the current Locale.
`protected java.lang.String` `getHeaderDateFormat(javax.faces.component.UIComponent component)` The date format that is used in the schedule header
`protected javax.faces.component.UIForm` `getParentForm(javax.faces.component.UIComponent component)` Get the parent form of the schedule component
`protected java.lang.String` `getTheme(javax.faces.component.UIComponent component)` The theme used when rendering the schedule
`protected java.lang.String` `getTooltipText(ScheduleEntry entry, javax.faces.component.UIComponent component)` Assemble the tooltip text for the specified entry
`protected boolean` `showTooltip(javax.faces.component.UIComponent component)` Should the tooltip be made visible?

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comparator

    protected static final ScheduleEntryComparator comparator

Constructor Detail

### AbstractScheduleRenderer

    public AbstractScheduleRenderer()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  See Also:
    `Renderer.decode(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### getDateString

    protected java.lang.String getDateString(javax.faces.context.FacesContext context,
                                             javax.faces.component.UIComponent component,
                                             java.util.Date date)

  Get the String representation of a date, taking into account the specified date format or the current Locale.

  Parameters:
    `context` - the FacesContext
    `component` - the component
    `date` - the date
  Returns:
    the date string

### getTheme

    protected java.lang.String getTheme(javax.faces.component.UIComponent component)

  The theme used when rendering the schedule

  Parameters:
    `component` - the component
  Returns:
    the theme

### getHeaderDateFormat

    protected java.lang.String getHeaderDateFormat(javax.faces.component.UIComponent component)

  The date format that is used in the schedule header

  Parameters:
    `component` - the component
  Returns:
    Returns the headerDateFormat.

### getParentForm

    protected javax.faces.component.UIForm getParentForm(javax.faces.component.UIComponent component)

  Get the parent form of the schedule component

  Parameters:
    `component` - the component
  Returns:
    the parent form

### getTooltipText

    protected java.lang.String getTooltipText(ScheduleEntry entry,
                                              javax.faces.component.UIComponent component)

  Assemble the tooltip text for the specified entry

  Parameters:
    `entry` - the entry
  Returns:
    the tooltip text

### showTooltip

    protected boolean showTooltip(javax.faces.component.UIComponent component)

  Should the tooltip be made visible?

  Parameters:
    `component` - the component
  Returns:
    whether or not tooltips should be rendered